﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="DatePickerFourDays.aspx.cs" Inherits="DatePickerFourDays" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <style type="text/css">
        .rcRow a
        {
            line-height: 80px;
            width: 80px !important;
            text-align: center;
            font-size: xx-large;
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
        <telerik:RadScriptManager ID="RadScriptManager1" runat="server">
            <Scripts>
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.Core.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQuery.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQueryInclude.js" />
            </Scripts>
        </telerik:RadScriptManager>
        <script type="text/javascript">
            function pageLoad() {
                var calendar = $find("<%= RadCalendar1.ClientID %>")
                traverseCells(calendar);
            }
            function viewChanged(sender, args) {
                traverseCells(sender);
            }
            function prevClicked() {
                var calendar = $find("<%= RadCalendar1.ClientID %>")
                var fDate = calendar.get_focusedDate();
                if (fDate[1] == 0) {
                    fDate[0]--; fDate[1] = 12;
                }

                if (fDate[2] == 1) {
                    var daysInPrevMonth = (new Date(fDate[0], fDate[1] - 1, 0)).getDate();
                    prevView = [fDate[0], fDate[1] - 1, daysInPrevMonth == 28 ? 25 : 29];
                    calendar.navigateToDate(prevView);
                    calendar.set_focusedDate(prevView);
                    traverseCells(calendar);
                }
                else {
                    calendar.set_focusedDate([fDate[0], fDate[1], fDate[2] - 4]);
                    calendar.navigateToDate(calendar.get_focusedDate());
                }
            }
            function nextClicked() {
                var calendar = $find("<%= RadCalendar1.ClientID %>")
                var fDate = calendar.get_focusedDate();
                var daysInCurrentMonth = (new Date(fDate[0], fDate[1], 0)).getDate();
                if (fDate[2] == 29 || (fDate[2] == 25 && daysInCurrentMonth == 28)) {
                    calendar.navigateToDate([fDate[0], fDate[1] + 1, 1]);
                }
                else {
                    calendar.set_focusedDate([fDate[0], fDate[1], fDate[2] + 4]);
                    calendar.navigateToDate(calendar.get_focusedDate());
                }
            }
            function traverseCells(calendar) {
                var dayCells = calendar.get_element().getElementsByClassName("rcMainTable")[0].getElementsByTagName("td");
                var fDate = calendar.get_focusedDate();
                calendar.set_focusedDate([fDate[0], fDate[1], fDate[2] - fDate[2] % 4 + 1]);
                var firstDate = new Date(calendar.get_focusedDate());
                var secondDay = new Date(firstDate.getFullYear(), firstDate.getMonth(), firstDate.getDate() + 1);
                var thirdDay = new Date(firstDate.getFullYear(), firstDate.getMonth(), firstDate.getDate() + 2);
                var fourthDay = new Date(firstDate.getFullYear(), firstDate.getMonth(), firstDate.getDate() + 3);

                for (var i = 0; i < dayCells.length; i++) {
                    switch (dayCells[i].title) {
                        case firstDate.toLocaleDateString():
                            dayCells[i].style.display = ""; break;
                        case secondDay.toLocaleDateString():
                            dayCells[i].style.display = ""; break;
                        case thirdDay.toLocaleDateString():
                            dayCells[i].style.display = ""; break;
                        case fourthDay.toLocaleDateString():
                            dayCells[i].style.display = ""; break;
                        default: dayCells[i].style.display = "none";
                    }
                }
            }
            function calendarClick(sender, args) {
                if (args.get_domEvent().target.tagName == "A") {
                    args.get_domEvent().target.blur();
                }
            }
        </script>
        <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
        </telerik:RadAjaxManager>
        <asp:ImageButton ID="ImageButton1" runat="server" OnClientClick="prevClicked();return false;" ImageUrl="~/previous.png" Style="float: left; margin-top: 35px;" />
        <telerik:RadCalendar ID="RadCalendar1" runat="server" ClientEvents-OnCalendarViewChanged="viewChanged" ShowColumnHeaders="false" ShowRowHeaders="false" SingleViewColumns="40" ShowOtherMonthsDays="false" ClientEvents-OnDateClick="calendarClick" Style="float: left;">
            <SpecialDays>
                <telerik:RadCalendarDay Repeatable="Today" Date="" ItemStyle-CssClass="rcToday" ItemStyle-BackColor="WhiteSmoke">
                </telerik:RadCalendarDay>
            </SpecialDays>
        </telerik:RadCalendar>
        <asp:ImageButton ID="ImageButton2" runat="server" OnClientClick="nextClicked();return false;" ImageUrl="~/next.png" Style="margin-top: 35px;" />
        <br />
        <br />
        <div style="text-align: right; width: 300px">
            <telerik:RadButton ID="RadButton1" runat="server" Text="PostBack to Server"></telerik:RadButton>
        </div>
    </form>
</body>
</html>
